<?php

namespace Drupal\shoelace_messages\Ajax;

use Drupal\Core\Ajax\CommandInterface;

/**
 * AJAX command to create shoelace messages from an array of status messages.
 */
class ShoelaceMessagesCommand implements CommandInterface {

  /**
   * The messages.
   *
   * @var array
   */
  protected $messages;

  /**
   * {@inheritdoc}
   */
  public function __construct($messages = NULL) {
    $this->messages = $messages;
  }

  /**
   * {@inheritdoc}
   */
  public function render() {
    return [
      'command' => 'shoelaceMessagesCommand',
      'messages' => $this->messages,
    ];
  }

}
